
#include "RccConfig.h"

void GPIOConfig (void)
{
	/************** STEPS TO FOLLOW *****************
	1. Enable GPIOA clock
	2. Set the PIN PA1 as input
	3. Configure the input mode
	************************************************/

	// 1. Enable GPIOA clock
	RCC->AHB1ENR |= (1<<0);  // Enable the GPIOA clock
	
	// 2. Set the PIN PA5 as output
	GPIOA->MODER &= ~((1<<2) | (1<<3));  // pin PA1(bits 3:2) as input (00)
	
	// 3. Configure the output mode
	GPIOA->PUPDR |= (1<<2);  // Pin PA1 (bits 3:2) are 0:1 --> PULL-UP
}

int count = 0;
int main ()
{
	SysClockConfig ();
	GPIOConfig ();
	
	while (1)
	{
		if (!(GPIOA->IDR &(1<<1)))  // if the pin is low
		{
			while (!(GPIOA->IDR &(1<<1)));  // wait until the pin is low
			count++;
		}
		
	}
}
